Summary: Record what's happening on your desktop.
Name: byzanz-record-window
Version: 0.2.0
Release: K01%{?dist}
URL: http://priede.bf.lu.lv/ftp/pub/MultiVide/paliigs_lektoram/ekraankopijas/byzanz/shell-scripts/
License: GPLv3+
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: byzanz zenity gettext pulseaudio-utils xwininfo
BuildArch: noarch
Source: %{name}-%{version}.tar.xz
Patch0: %{name}-lang_dir.patch

%description
A byzanz based GUI enhanced script to record GIF, OGV, FLV and WebM screencasts.

%prep
%setup
%patch 0 -p1

%build

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 byzanz-record-window ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/locale/lv/LC_MESSAGES/
install -m 644 *-lv.mo ${RPM_BUILD_ROOT}%{_datadir}/locale/lv/LC_MESSAGES/%{name}.mo

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
cat > ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop <<- "EOF"
[Desktop Entry]
Name=Byzanz window recorder
Name[lv]=Ekrānieraksts
Comment=A script to record GIF, OGV, FLV and WebM screencasts.
Comment[lv]=Ieraksta notiekošo uz ekrāna GIF, OGV, FLV vai WebM formātā.
Keywords=presentation;timer;lecture;
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Utility;Presentation;Recorder;
EOF



%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_datadir}/locale/*/LC_MESSAGES/*
%attr(644,root,root) %{_datadir}/applications/*

%changelog
* Wed Jul 24 2024 Karlis Kalviskis <karlo@latnet.lv> - 0.2.0-K01
- New version

* Tue Jun 11 2013 Zirneklitis <eko@lanet.lv>
- Initial version
